# Uses of Interface
java.security.cert.CertPathParameters

Packages that use CertPathParameters
Package
Description
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.
javax.net.ssl
Provides classes for the secure socket package.

## Uses of CertPathParameters in java.security.cert

Classes in java.security.cert that implement CertPathParameters
Modifier and Type
Class
Description
`class`
`PKIXBuilderParameters`
Parameters used as input for the PKIX `CertPathBuilder` algorithm.
`class`
`PKIXParameters`
Parameters used as input for the PKIX `CertPathValidator` algorithm.
Methods in java.security.cert with parameters of type CertPathParameters
Modifier and Type
Method
Description
`CertPathBuilderResult`
CertPathBuilder.`build​(CertPathParameters params)`
Attempts to build a certification path using the specified algorithm parameter set.
`abstract CertPathBuilderResult`
CertPathBuilderSpi.`engineBuild​(CertPathParameters params)`
Attempts to build a certification path using the specified algorithm parameter set.
`abstract CertPathValidatorResult`
CertPathValidatorSpi.`engineValidate​(CertPath certPath, CertPathParameters params)`
Validates the specified certification path using the specified algorithm parameter set.
`CertPathValidatorResult`
CertPathValidator.`validate​(CertPath certPath, CertPathParameters params)`
Validates the specified certification path using the specified algorithm parameter set.

## Uses of CertPathParameters in javax.net.ssl

Methods in javax.net.ssl that return CertPathParameters
Modifier and Type
Method
Description
`CertPathParameters`
CertPathTrustManagerParameters.`getParameters()`
Return a clone of the CertPathParameters encapsulated by this class.
Constructors in javax.net.ssl with parameters of type CertPathParameters
Modifier
Constructor
Description
``
`CertPathTrustManagerParameters​(CertPathParameters parameters)`
Construct new CertPathTrustManagerParameters from the specified parameters.